Subject: bug#16226: [patch] icomplete can't display completions on initial display

From: Daniel Colascione <[email-masked]>
Date: Mon, 23 Dec 2013 19:53:05 -0800

On 12/23/2013 07:32 PM, Stefan Monnier wrote:
> The (= (icomplete--field-end) (icomplete--field-beg)) condition is
> redundant as well.  Other than that, please install it.

Done. Thanks.

The next problem for me is the obnoxious prompt: when icomplete is 
enabled, the default choice is readily apparent. switch-to-buffer, 
however, still enthusiastically displays the "default" choice in the 
prompt, and this hint becomes stale once we start cycling through 
completions. Right now, I'm using minibuf-eldef to kill that part of the 
prompt, but there must be a better way. Would you be opposed to a C 
level variable that stopped completions functions from adding the 
default choice bit to the prompt in the first place?